Subject: [DNSOP] Any interest in draft-latour-dnsoperator-to-rrr-protocol ?

From: "John Levine" <[email-masked]>
Date: 13 Feb 2016 21:44:56 -0000

I noticed the -02 of this draft go by yesterday.

It's a very rough version of a DNSSEC key record bootstrap design in
which the operator of the delegated zone pokes the operator of the
upper level zone using http, which tells the upper level zone to
import keys from the delegated zone's CDS and CDNSKEY records.

Is there much interest in this?  

On my tiny DNS server I have over 100 signed zones where I can't
install the upper level DS records because I'm not the registrant, I'm
just running their DNS.  It would be nice to have a way to do that
that scales better than walking each of the registrants through their
registrars' DNSSEC update processes.

R's,
John

---

From: Jacques Latour <[email-masked]>
Date: Tue, 16 Feb 2016 15:09:00 +0000

Hi,

I think it would fall under REGEXT once it's up? The REGEXT charter has a section about DNS Operator.

> The working group will also identify the requirements for a
> registration protocol where a third-party DNS provider is involved.
> These requirements will be documented in an Informational RFC.

Jack

> -----Original Message-----
> From: DNSOP [mailto:[email-masked]] On Behalf Of John Levine
> Sent: February-13-16 4:45 PM
> To: [email-masked]
> Subject: [DNSOP] Any interest in draft-latour-dnsoperator-to-rrr-protocol ?
> 
> It's a very rough version of a DNSSEC key record bootstrap design in which the
> operator of the delegated zone pokes the operator of the upper level zone
> using http, which tells the upper level zone to import keys from the delegated
> zone's CDS and CDNSKEY records.
> 
> On my tiny DNS server I have over 100 signed zones where I can't install the
> upper level DS records because I'm not the registrant, I'm just running their
> DNS.  It would be nice to have a way to do that that scales better than
> walking each of the registrants through their registrars' DNSSEC update
> processes.
> 
> R's,
> John
> 
> _______________________________________________
> DNSOP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dnsop

---

From: joel jaeggli <[email-masked]>
Date: Tue, 16 Feb 2016 07:14:34 -0800

>> These requirements will be documented in an Informational RFC.

based on on current progress I would expect regext to exist prior to or
by IETF 92.

---

From: Barry Leiba <[email-masked]>
Date: Tue, 16 Feb 2016 13:05:11 -0800

> based on on current progress I would expect regext to exist prior to or

And by "IETF 92", Joel means IETF 95.

Barry

---

From: joel jaeggli <[email-masked]>
Date: Tue, 16 Feb 2016 14:51:15 -0800

> And by "IETF 92", Joel means IETF 95.

yeah that, sorry